<script type="text/javascript">
    RED.nodes.registerType('Wagon PHT',{
        category: 'Train4FAIR Personal Health Train Nodes',
        color: '#fd9a9b',
        defaults: {
            name: {value:"Insert the name of the Wagon for the Train4FAIR",require:true},
            description: {value:"Insert some relevant description",require:true},
            internalId: {value:"",require:true},
            internalWagonId: {value:"",require:true},
            stationProfile1: {value:"Diabetes",require:true},
            stationProfile2: {value:"",require:true},
            stationProfile3: {value:"",require:true},


            //Requirements sample
            checkMetadataAccess: {value:"true",require:true},
            expectedTimePointsForAllpatientsFrom: {value:"100000",require:true},
            expectedTimePointsForAllpatientsTo: {value:"10000",require:true},
            cutValue: {value:"100",require:true},
            shouldBeAggregated: {value:"true",require:true},
            severity: {value:"high",require:true},
            rareDisease: {value:"true",require:true},
            treatmentCenter: {value:"Treatment Center of RWTH",require:true},
        },
        inputs:1,
        outputs:1,
        icon: "../icons/wagon.png",
        label: function () {
            return "Wagon: "+this.name || "Wagon PHT";
        },
    });
</script>

<script type="text/x-red" data-template-name="Wagon PHT">
    <div class="form-row">

<fieldset>
    <legend>Wagon - Core</legend>

        <label for="node-input-name"><i class="icon-tag"></i>Name</label>
        <input type="text" id="node-input-name" placeholder="Name">
        <br/><br/>
        <label for="node-input-description"><i class="icon-tag"></i>Description: </label>
        <input type="textarea" rows="6" cols="9" id="node-input-description" placeholder="Description">
        <br/><br/>


        <br/><br/>
        <div class="form-row">
            <label for="node-input-stationProfile1"><i class="icon-tag"></i>Select one Station: </label>
            <select type="text" id="node-input-stationProfile1">
                <option value="Cancer">Domain: Cancer</option>
                <option value="Hepatitis">Domain: Hepatitis</option>
                <option value="Obesity">Domain: Obesity</option>
                <option value="Diabetes">Domain: Diabetes</option>
            </select>
        </div>
        <br/><br/>
    </div>
</fieldset>
<fieldset>
    <legend>Station Requirements</legend>

        <div class="form-row">
            <label for="node-input-checkMetadataAccess"><i class="icon-tag"></i>Check Access Constraints: </label>
            <select type="text" id="node-input-checkMetadataAccess">
                <option value="true">Yes</option>
                <option value="false">No</option>
            </select>
        </div>
        <br/><br/>


                        <div class="form-row">
            <label for="node-input-shouldBeAggregated"><i class="icon-tag"></i>Should be Aggregated: </label>
            <select type="text" id="node-input-shouldBeAggregated">
                <option value="true">Yes</option>
                <option value="false">No</option>
            </select>
        </div>
        <br/><br/>

                                <div class="form-row">
            <label for="node-input-rareDisease"><i class="icon-tag"></i>Check Rare Disease: </label>
            <select type="text" id="node-input-rareDisease">
                <option value="true">Yes</option>
                <option value="false">No</option>
            </select>
        </div>
        <br/><br/>

                                        <div class="form-row">
            <label for="node-input-severity"><i class="icon-tag"></i>Select Disease Severity: </label>
            <select type="text" id="node-input-severity">
                <option value="high">High</option>
                <option value="normal">Normal</option>
                <option value="low">Low</option>
            </select>
        </div>
        <br/><br/>


        <fieldset>
            <legend>Expected Registers (Range)</legend>
                <label for="node-input-expectedTimePointsForAllpatientsFrom"><i class="icon-tag"></i>From: </label>
                <input type="text" id="node-input-expectedTimePointsForAllpatientsFrom" >
                <br/><br/>

                <label for="node-input-expectedTimePointsForAllpatientsTo"><i class="icon-tag"></i>To: </label>
                <input type="text" id="node-input-expectedTimePointsForAllpatientsTo" >
                <br/><br/>
        </fieldset>

                <label for="node-input-cutValue"><i class="icon-tag"></i>Cut Value: </label>
                <input type="text"  id="node-input-cutValue" >
                <br/><br/>

                <label for="node-input-treatmentCenter"><i class="icon-tag"></i>Treatment Center: </label>
                <input type="text"  id="node-input-treatmentCenter" >
                <br/><br/>




</fieldset>
</script>

<script type="text/x-red" data-help-name="Wagon PHT">
    <p>Train4FAIR is defined for a common agreement and integration between different PHT implementations.

Train metadata includes the attributes to define overall Analytic task/workflow to be executed. Its component; Wagon is used as a term to define the atomic algorithm that is a subcomponent of the workflow, to run independently on a specific station. Wagon metadata contains attributes about required station profile and resources. Resources metadata attributes defines target runtime environment and all the constituent physical files of analytic task such as docker image file, python code file, cql query file .

In our PHT Implementation Train is implemented as a Json document and registered as a Digital Object on DataCite.  A custom Train Repository with required REST-Services is designed and being implemented.</p>
</script>
